List Payment Methods
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_methods": [
{
"id": "8bfc20d7-f7c6-4422-bf07-8243ca4169fe",
"type": "ACH",
"name": "ALLY BANK ******1234",
"currency": "USD",
"verified": true,
"allow_buy": true,
"allow_sell": true,
"allow_deposit": true,
"allow_withdraw": true,
"created_at": "2021-05-31T09:59:59.000Z",
"updated_at": "2021-05-31T09:59:59.000Z"
}
]
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Payment Methods
List Payment Methods
Get a list of payment methods for the current user.
GET
/
api
/
v3
/
brokerage
/
payment_methods
List Payment Methods
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I